package com.srs.comprehensive.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.srs.common.utils.DateUtils;
import com.srs.comprehensive.domain.SrsComplaint;
import com.srs.comprehensive.mapper.SrsComplaintMapper;
import com.srs.comprehensive.service.ISrsComplaintService;
import org.springframework.beans.factory.annotation.Autowired;

import org.springframework.stereotype.Service;


/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author srs
 * @date 2024-07-18
 */
@Service
public class SrsComplaintServiceImpl extends ServiceImpl<SrsComplaintMapper, SrsComplaint> implements ISrsComplaintService {
    @Autowired
    private SrsComplaintMapper srsComplaintMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public SrsComplaint selectSrsComplaintById(Long id) {
        return srsComplaintMapper.selectSrsComplaintById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param srsComplaint 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<SrsComplaint> selectSrsComplaintList(SrsComplaint srsComplaint) {
        return srsComplaintMapper.selectSrsComplaintList(srsComplaint);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param srsComplaint 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertSrsComplaint(SrsComplaint srsComplaint) {
                srsComplaint.setCreateTime(DateUtils.getNowDate());
            return srsComplaintMapper.insertSrsComplaint(srsComplaint);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param srsComplaint 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateSrsComplaint(SrsComplaint srsComplaint) {
                srsComplaint.setUpdateTime(DateUtils.getNowDate());
        return srsComplaintMapper.updateSrsComplaint(srsComplaint);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteSrsComplaintByIds(Long[] ids) {
        return srsComplaintMapper.deleteSrsComplaintByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteSrsComplaintById(Long id) {
        return srsComplaintMapper.deleteSrsComplaintById(id);
    }
}
